### Featured Image Plus

Contributors: krasenslavov, developry
Donate Link: https://krasenslavov.com/hire-krasen/#donate-sponsor
Tags: featured image, woocommerce, custom post type, image
Requires at least: 5.0
Tested up to: 6.4
Requires PHP: 7.2
Stable tag: 1.4.7
License: GPLv2 or later
License URI: https://www.gnu.org/licenses/gpl-2.0.html

Optimize your WordPress workflow with featured images on Posts and Pages with Featured Image Plus the bulk and quick edit actions.

## DESCRIPTION

Optimize your WordPress workflow by rapidly managing featured images on Posts and Pages with [**Featured Image Plus**](https://bit.ly/43eu1S3) enhancements to the bulk and quick edit actions.

Efficiently manage featured images across your WooCommerce Products, Custom Post Types, Pages, and Posts with our Quick & Bulk Edit additions.

This handy plugin significantly accelerates the featured image management process, saving you time and reducing unnecessary clicks.

https://www.youtube.com/embed/r3czQg7Xqec

[**Featured Image Plus**](https://bit.ly/43eu1S3) is fully compatible with WooCommerce, all user-defined Custom Post Types, and the standard WordPress Page and Post types, ensuring a seamless integration with your workflow.

_Note: WooCommerce Products, any 3rd-party plugins and CPT features are available with the Pro version of the plugin._

## USAGE

**Need to Add a Default Featured Image to New WooCommerce Products?**

_No problem._

[**Featured Image Plus**](https://bit.ly/43eu1S3) enables you to add a default featured image to all your new products in just a few clicks.

1. Select all the pages or posts where you want to add a default featured image.
2. Choose `Bulk Action > Edit` and then click Apply.
3. In the Featured Image field, click on the Browse button and select your image.
4. Hit the Update button, and voilà! A default image is now applied to all your selected items.

**Want to Remove Featured Images from Multiple Posts, Products, or Custom Posts?**

Just like the previous process, this can be achieved in a few simple steps.

1. Select all the products or posts from which you want to remove featured images.
2. Choose `Bulk Action > Edit` and click Apply.
3. Click on the Remove ALL featured images button, and you're done.

**Looking to Streamline the Featured Image Management Process for WooCommerce Products, Custom Post Types, Pages, or Posts?**

_Yes, it's possible._

With [**Featured Image Plus**](https://bit.ly/43eu1S3) efficiently add, edit, or remove featured images using the Quick Edit feature.

1. Click on the Quick Edit link for the item you wish to modify.
2. In the Featured Image field, click on the Browse button to select your image.
3. Press the Update button, and that’s it!

_Note: Some of the features described above are only available with the Pro version of the plugin._

## FEATURES & LIMITATIONS

* Add a default image to all rows with a single click.
* Quickly manage one or many featured images on a single screen.
* Remove or add feature images to multiple Posts or Pages.
* Be able to remove or add up to 200 images with a single click.

## DETAILED DOCUMENTATION

The step-by-step setup, usage, demos, video, and insights can be found on [**Featured Image Plus Pro**](https://featuredimageplugin.com/help).

## FEATURED IMAGE PLUS PRO

If you are using the Free version of the plugin from the WordPress.org repository and would like to have the Pro features you can purchase the premium version from the [**Featured Image Plus Pro**](https://bit.ly/43eu1S3) website.

Some of the features included in the Pro version of the plugin are:

* AI Image Creator which has Unsplash and OpenAI DALL-E 2 integartion.
* WooCommerce and other 3rd-party plugins support
* Manage featured image visibility, position, size, etc.
* Add support to all public taxonomies.
* Auto-remove and attach featured images from post content; works with _Classic, Block, and Elementor_ editors.	
* Priority support and regular updates for one year.

## FREQUENTLY ASKED QUESTIONS

Visit the [**Support**](https://wordpress.org/support/plugin/featured-image-plus/) tab on this page to post your requests and questions.

We typically address all tickets within a few days.

If you have a feature request, we'll add it to the plugin wish list and consider implementing it in the next major version.

### Don't see any fetured image links under Posts or Pages?

Our plugin works and extends the Quick and Bulk WordPress features, so all you need to do is either click on `Quick Edit` or select posts and Apply the `Bulk actions`.

This will show you a block where you can quickly and easily attach, remove and update your featured images.

### How add Bulk featured images to more than 20 posts?

By default WordPress show 20 posts or pages per page in the backend.

To change and apply the Bulk edit to more posts you can simply open the `Screen Options` from the top right corner, change the _number of items per page_, e.g. 100 and then click on Apply.

### Does it support Custom Post Types?

The free version does not support Custom Post Types, however you can take a look at the [**Featured Image Plus Pro**](https://bit.ly/43eu1S3) which gives you this ability a whole more.

### Does it work Woo/WooCommerce?

The free version does not support WooCommerce, however you can take a look at the [**Featured Image Plus Pro**](https://bit.ly/43eu1S3) version which supports Woo and other 3rd-party plugins.

## SCREENSHOTS

The screenshots below highlight the primary way to use and access the plugin inside WordPress.

1. screenshot-1.(png)
2. screenshot-2.(png)
3. screenshot-3.(png)
4. screenshot-4.(png)
5. screenshot-5.(png)

## INSTALLATION

The installation process for the plugin is standard and user-friendly. Please inform us if you face any challenges throughout the installation.

= Installation from WordPress =

1. Visit **Plugins > Add New**.
2. Search for **Featured Image Plus**.
3. Install and activate the **Featured Image Plus** plugin.
4. Click on **Settings** link or go to **Settings > Featured Images** from the main menu.

= Manual Installation =

1. Upload the contents of the entire `featured-image-plus` folder to the `/wp-content/plugins/` directory.
2. Visit **Plugins**.
3. Activate the **Featured Image Plus** plugin.
4. Click on **Settings** link or go to **Settings > Featured Images** from the main menu.

= After Activation =

1. Go to Posts and Pages main sections and use the Quick and Bulk edit actions to manage your featured images.

## CHANGELOG

= 1.4.7 =

- New - Add upgrade notice with transient and dissmis nd success button
- Update - Add UTM for plugin website links

= 1.4.6 =

- Update – Remove `$` from common in JS an use `jQuery` where needed
- Fix - Add hard reload when we remove featured image

= 1.4.5 =

- Fix - Add missing files & folder to the SVN repo

= 1.4.4 =

- Update - Remove admin user cap from `settings-menu.php`
- Update - Move all ajax actions to `settings-actions.php`
- Update - Update development and workflow files to match the Pro
- Update – Replace 2023 from copyright to 2024

= 1.4.3 =

- Update - Break the requirements and settings into components
- Update - Break the SASS into componenets and fixed some small CSS issues
- Update - Refactor and optmize JS code, for the admin functions

= 1.4.2 =

- Fix - Remove `wp_nonce()` for settings, not needed.
- Fix - Move the dismiss rating to go to plugin page instead of `plugins.php`
- Fix - Change `$value_arr` to `$values_arr` in the admin class
- Fix - Pro table description to match the FIP plugin

= 1.4.1 =

- Update - Lang file heading text
- Update - Load the admin class with global function as variable in Featured_Image_Plus
- Fix - Admin class messaage and values variables

= 1.4 =

- New - Update and optimize the plugin code to match the pro version
- New - Add types supported and theme support options
- New - Move the plugin settings into its own sub-menu and out of the Settings > Media

= 1.3 =

- Update - Add proper translation stings
- Update - Update plugin `.pot` file in `/lang` folder
- Fix - Breaking styles for mobile and desktop for main featured images
- New - Add placeholder image for empty featured images instead text
- Update - Test and check functionality with WordPress 6.0

= 1.2 =

- Update - Rewrite the code with better plugin framework
- Fix - Some issue with image preview and custom post types

= 1.1 =

- Update - Total revision of the plugin with improved code and UI

= 1.0 =

- Initial release and first commit into the WordPress.org SVN

## UPGRADE NOTICE

_None_
